org.apache.fop.apps

## Class PageSequenceResults

- java.lang.Object
- - org.apache.fop.apps.PageSequenceResults

-     public class PageSequenceResults
      extends Object

  Class for reporting back formatting results to the calling application. This particular class is used to report the results of a single page-sequence.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageSequenceResults(String id, int pageCount)` Constructor for the PageSequenceResults object

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getID()` Gets the ID of the page-sequence if one was specified.
    `int` | `getPageCount()` Gets the number of pages that resulted by processing the page-sequence.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PageSequenceResults

          public PageSequenceResults(String id,
                                     int pageCount)

      Constructor for the PageSequenceResults object
      Parameters:
        `id` - ID of the page-sequence, if available
        `pageCount` - The number of resulting pages

  - ### Method Detail

    - #### getID

          public String getID()

      Gets the ID of the page-sequence if one was specified.
      Returns:
        The ID

    - #### getPageCount

          public int getPageCount()

      Gets the number of pages that resulted by processing the page-sequence.
      Returns:
        The number of pages generated

Copyright © 2023 Apache Software Foundation. All rights reserved.